package cn.com.infosec.jce;

import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.cryptopro.ECGOST3410NamedCurves;
import cn.com.infosec.crypto.params.ECDomainParameters;
import cn.com.infosec.jce.spec.ECNamedCurveParameterSpec;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import java.math.BigInteger;
import java.util.Enumeration;

public class ECGOST3410NamedCurveTable {
   public static ECNamedCurveParameterSpec getParameterSpec(String name) {
      ECDomainParameters var1;
      if ((var1 = ECGOST3410NamedCurves.getByName(name)) == null) {
         ECDomainParameters var10000;
         try {
            var10000 = ECGOST3410NamedCurves.getByOID(new DERObjectIdentifier(name));
         } catch (IllegalArgumentException var6) {
            return null;
         }

         var1 = var10000;
      }

      if (var1 == null) {
         return null;
      } else {
         ECDomainParameters var10002 = var1;
         ECDomainParameters var10003 = var1;
         ECDomainParameters var10004 = var1;
         ECDomainParameters var10005 = var1;
         ECCurve var7 = var1.getCurve();
         ECPoint var2 = var10005.getG();
         BigInteger var3 = var10004.getN();
         BigInteger var4 = var10003.getH();
         byte[] var5 = var10002.getSeed();
         return new ECNamedCurveParameterSpec(name, var7, var2, var3, var4, var5);
      }
   }

   public static Enumeration getNames() {
      return ECGOST3410NamedCurves.getNames();
   }
}
